%define module_name	bcm5700
%define module_version	6.2.11
%define module_release	alt15.6

%define kversion	2.4.26
%define krelease	alt6
%define flavour		std-smp

%define base_arch %(echo %_target_cpu | sed 's/i.86/i386/;s/athlon/i386/')

%define module_dir /lib/modules/%kversion-%flavour-%krelease/%module_name

Summary: BroadCom 5700 card drivers
Name: kernel-modules-%module_name-%flavour
Version: %module_version
Release: %module_release
License: GPL
Group: System/Kernel and hardware

Packager: Kernel Maintainer Team <kernel@packages.altlinux.org>

ExclusiveOS: Linux
Url: http://www.kernel.org/
BuildPreReq: kernel-build-tools >= 0.7
BuildRequires: modutils
BuildRequires: perl
BuildRequires: rpm >= 4.0.2-75
BuildRequires: kernel-headers-modules-%flavour = %kversion-%krelease
BuildRequires: kernel-source-%module_name-%module_version

Provides: kernel-modules-%module_name-%kversion-%flavour-%krelease = %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease < %version-%release
Conflicts: kernel-modules-%module_name-%kversion-%flavour-%krelease > %version-%release

PreReq: coreutils
PreReq: modutils
PreReq: kernel-image-%flavour = %kversion-%krelease
Requires(postun): kernel-image-%flavour = %kversion-%krelease
ExclusiveArch: %ix86

%description
BroadCom 5700 NIC card drivers.

%prep
rm -rf kernel-source-%module_name-%module_version

tar -jxvf %_usrsrc/kernel/sources/kernel-source-%module_name-%module_version.tar.bz2

%setup -D -T -n kernel-source-%module_name-%module_version

%build
. %_usrsrc/linux-%kversion-%flavour/gcc_version.inc
%make_build LINUX="%_includedir/linux-%kversion-%flavour"

%install
mkdir -p $RPM_BUILD_ROOT/%module_dir
install -p -m644 bcm5700.o $RPM_BUILD_ROOT/%module_dir

%post
%post_kernel_modules %kversion-%flavour-%krelease

%postun
%postun_kernel_modules %kversion-%flavour-%krelease

%files
%defattr(644,root,root,755)
%module_dir

%changelog
* Tue Aug 03 2004 Sergey Vlasov <vsu@altlinux.ru> 6.2.11-alt15.6
- Use %%post_kernel_modules and %%postun_kernel_modules macros in scripts.
- Spec file cleanup.

* Thu May 13 2004 Sergey Vlasov <vsu@altlinux.ru> 6.2.11-alt14.6
- Rebuild for kernel 2.4.26.

* Fri Feb 27 2004 Sergey Vlasov <vsu@altlinux.ru> 6.2.11-alt13.6
- Updated for the new compiler version selection scheme (GCC_VERSION).

* Fri Nov 28 2003 Sergey Vlasov <vsu@altlinux.ru> 6.2.11-alt12.6
- Added Provides/Conflicts to make sure that only one version of the package
  can be installed for each kernel version.

* Tue Nov 18 2003 Sergey Vlasov <vsu@altlinux.ru> 6.2.11-alt11.6
- Fixed spec file name.
- Avoid %%postun failure when this package is removed after
  kernel-image-%%flavour (currently rpm cannot prevent this).

* Wed Sep 03 2003 Rider <rider@altlinux.ru> 6.2.11-alt10.6
- replace /usr/include to _includedir macro
- added build requires

* Tue Aug 26 2003 Peter Novodvorsky <nidd@altlinux.com> 6.2.11-alt9
- rebuilt with 2.4.21rel-alt14

* Fri Aug 15 2003 Peter Novodvorsky <nidd@altlinux.com> 6.2.11-alt8
- rebuilt with 2.4.21rel-alt13

* Wed Aug 13 2003 Peter Novodvorsky <nidd@altlinux.com> 6.2.11-alt7
- rebuilt with 2.4.21rel-alt12

* Tue Aug 12 2003 Peter Novodvorsky <nidd@altlinux.com> 6.2.11-alt6
- rebuilt with 2.4.21rel-alt11

* Mon Aug 11 2003 Peter Novodvorsky <nidd@altlinux.com> 6.2.11-alt5
- rebuilt with 2.4.21rel-alt10

* Thu Aug 07 2003 Peter Novodvorsky <nidd@altlinux.com> 6.2.11-alt4
- rebuilt with 2.4.21rel-alt9

* Wed Aug 06 2003 Peter Novodvorsky <nidd@altlinux.com> 6.2.11-alt3
- rebuilt with 2.4.21rel-alt8

* Thu Jul 31 2003 Peter Novodvorsky <nidd@altlinux.com> 6.2.11-alt2
- removed 'Provides NVIDIA_kernel'

* Wed Jul 30 2003 Peter Novodvorsky <nidd@altlinux.com> 6.2.11-alt1
- initial release

